%define name	dd_rescue
%define version 1.12
%define release %mkrel 1

%define _bindir /bin

Summary:	Does copy data from one file or block device to another
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	http://www.garloff.de/kurt/linux/ddrescue/%name-%version.tar.bz2
URL:		http://www.garloff.de/kurt/linux/ddrescue/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
    
%description
Like dd, dd_rescue does copy data from one file or block device to another.
You can specify file positions (called seek and Skip in dd). There are several 
differences: 
  o dd_rescue does not provide character conversions.
  o The command syntax is different. Call dd_rescue -h.
  o dd_rescue does not abort on errors on the input file, unless you specify a 
    maximum error number. Then dd_rescue will abort when this number is reached
  o dd_rescue does not truncate the output file, unless asked to.
  o You can tell dd_rescue to start from the end of a file and move bcakwards.
  o It uses two block sizes, a large (soft) block size and a small (hard) block
    size. In case of errors, the size falls back to the small one and is
    promoted again after a while without errors.

%prep 
%setup -q -n %name

%build

%make CFLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755) 
%doc README.dd_rescue
%{_bindir}/*


%changelog
* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/08/06 00:32:21 (54347)
- 1.12

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/08/06 00:30:44 (54346)
Import dd_rescue

* Sun Oct 16 2005 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdk
- Initial spec file based on ddrescue

* Thu Oct 13 2005 Lenny Cartier <lenny@mandriva.com> 1.1-1mdk
- 1.1

* Sat Oct 01 2005 Olivier Thauvin <nanardon@mandriva.org> 1.0-2mdk
- from club, introduce in contrib
- clean + mdv policy

* Fri Jun 03 2005 Jose Ramon Villa <capi_x@capix.sytes.net> - 1.0-1mdk
- Created specfile for Mandriva

